<?php

namespace Vn\Rest;

/**
 * Class used to store information about errors, warnings and info messages.
 *
 * @property string $domain The domain name
 * @property string $code The code of message
 * @property string $message The message string
 **/
class Message
{
	var $domain;
	var $code;
	var $message;
	
	function __construct ($domain, $code, $message)
	{
		$this->domain = $domain;
		$this->code = $code;
		$this->message = $message;
	}
}

?>
