Htk.Text = new Class
({
	Extends: Htk.Field
	,Tag: 'htk-text'
	,Properties:
	{
		/**
		 * Format that applies to the value.
		 **/
		format:
		{
			type: String
			,set: function (x)
			{
				this._format = _(x);
				this.putValue (this._value);
			}
			,get: function ()
			{
				return this._format;
			}
		}
	}
	
	,_format: null

	,initialize: function (props)
	{
		this.node = document.createTextNode ('');
		this.parent (props);
	}

	,putValue: function (value)
	{
		this.node.nodeValue = Vn.Value.format (value, this._format);
	}
});
